--- old/usr/src/uts/common/io/fibre-channel/ulp/fcp.c	Sun Jun 11 17:03:13 2017
+++ new/usr/src/uts/common/io/fibre-channel/ulp/fcp.c	Sun Jun 11 17:03:13 2017
@@ -1052,25 +1052,6 @@
 
 static caddr_t pid = "SESS01	      ";
 
-#if	!defined(lint)
-
-_NOTE(MUTEX_PROTECTS_DATA(fcp_global_mutex,
-    fcp_port::fcp_next fcp_watchdog_id))
-
-_NOTE(DATA_READABLE_WITHOUT_LOCK(fcp_watchdog_time))
-
-_NOTE(SCHEME_PROTECTS_DATA("Unshared",
-    fcp_insert_eid
-    fcp_remove_eid
-    fcp_watchdog_time))
-
-_NOTE(SCHEME_PROTECTS_DATA("Unshared",
-    fcp_cb_ops
-    fcp_ops
-    callb_cpr))
-
-#endif /* lint */
-
 /*
  * This table is used to determine whether or not it's safe to copy in
  * the target node name for a lun.  Since all luns behind the same target
@@ -9828,12 +9809,9 @@
 			kmem_free(pathname, MAXPATHLEN);
 		}
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(pptr->port_link_cnt));
 	pptr->port_link_cnt = 1;
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(pptr->port_link_cnt));
 	pptr->port_id = s_id;
 	pptr->port_instance = instance;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(pptr->port_state));
 	pptr->port_state = FCP_STATE_INIT;
 	if (pinfo->port_acc_attr == NULL) {
 		/*
@@ -9842,8 +9820,6 @@
 		pptr->port_state |= FCP_STATE_FCA_IS_NODMA;
 	}
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(pptr->port_state));
-
 	if (!(pptr->port_state & FCP_STATE_FCA_IS_NODMA)) {
 		/*
 		 * If FCA supports DMA in SCSI data phase, we need preallocate
@@ -14236,9 +14212,7 @@
 	/*
 	 * Save a few kernel cycles here
 	 */
-#ifndef	__lock_lint
 	fpkt->pkt_fca_device = ptgt->tgt_fca_dev;
-#endif /* __lock_lint */
 }
 
 static void
